Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app
Class Alignment

    java.lang.Object
      nextapp.echo2.app.Alignment

All Implemented Interfaces:
  java.io.Serializable

    public class Alignment

extends java.lang.Object
implements java.io.Serializable

A property object which describes the alignment or positioning of a particular item relative to others.

See Also:
  Serialized Form

Field Summary
`static int` | `BOTTOM` Specifies bottom alignment.
`static int` | `CENTER` Specifies center alignment.
`static int` | `DEFAULT` Specifies default alignment.
`static int` | `LEADING` Specifies leading alignment (left in LTR languages, right in RTL languages).
`static int` | `LEFT` Specifies left alignment.
`static int` | `RIGHT` Specifies right alignment.
`static int` | `TOP` Specifies top alignment.
`static int` | `TRAILING` Specifies trailing alignment (right in LTR languages, left in RTL languages).

Constructor Summary
`Alignment(int horizontal, int vertical)` Creates a new `Alignment`.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `getHorizontal()` Returns the horizontal setting of this `Alignment`.
`int` | `getVertical()` Returns the vertical setting of this `Alignment`.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final int DEFAULT

  Specifies default alignment.

  See Also:
    Constant Field Values

### LEADING

    public static final int LEADING

  Specifies leading alignment (left in LTR languages, right in RTL languages).

  See Also:
    Constant Field Values

### TRAILING

    public static final int TRAILING

  Specifies trailing alignment (right in LTR languages, left in RTL languages).

  See Also:
    Constant Field Values

### LEFT

    public static final int LEFT

  Specifies left alignment.

  See Also:
    Constant Field Values

### CENTER

    public static final int CENTER

  Specifies center alignment.

  See Also:
    Constant Field Values

### RIGHT

    public static final int RIGHT

  Specifies right alignment.

  See Also:
    Constant Field Values

### TOP

    public static final int TOP

  Specifies top alignment.

  See Also:
    Constant Field Values

### BOTTOM

    public static final int BOTTOM

  Specifies bottom alignment.

  See Also:
    Constant Field Values

Constructor Detail

### Alignment

    public Alignment(int horizontal,
                     int vertical)

  Creates a new `Alignment`.

  Parameters:
    `horizontal` - The horizontal alignment setting, one of the following values:
    - `DEFAULT`
    - `LEADING`
    - `TRAILING`
    - `LEFT`
    - `CENTER`
    - `RIGHT`
    `vertical` - The vertical alignment setting, one of the following values:
    - `DEFAULT`
    - `TOP`
    - `CENTER`
    - `BOTTOM`

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

### getHorizontal

    public int getHorizontal()

  Returns the horizontal setting of this `Alignment`.

  Returns:
    the horizontal setting of this `Alignment`, one of the following values:
    - `DEFAULT`
    - `LEADING`
    - `TRAILING`
    - `LEFT`
    - `CENTER`
    - `RIGHT`

### getVertical

    public int getVertical()

  Returns the vertical setting of this `Alignment`.

  Returns:
    the vertical setting of this `Alignment`, one of the following values:
    - `DEFAULT`
    - `TOP`
    - `CENTER`
    - `BOTTOM`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD